Bug 736690 - (CVE-2011-3348) CVE-2011-3348 httpd: mod_proxy_ajp remote temporary DoS
CVE-2011-3348 httpd: mod_proxy_ajp remote temporary DoS
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20110914,repor...
: Security
Depends On: 738961 743901 746695 746696 746697
Blocks: 736705
  Show dependency treegraph
 
Reported: 2011-09-08 08:31 EDT by Tomas Hoger
Modified: 2012-11-07 04:30 EST (History)
9 users (show)

See Also:
Fixed In Version: httpd 2.2.21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1055563 (view as bug list)
Environment:
Last Closed: 2012-05-07 15:34:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2011-09-08 08:31:40 EDT
mod_proxy_ajp did not correctly process certain malformed HTTP requests, which could cause it to incorrectly put a backend server to an error state until the retry timeout expired.  A remote attacker could send malicious requests to trigger this issue, resulting in a temporary denial of service.

Upstream commit:
http://svn.apache.org/viewvc?view=revision&revision=1166551

Reference:
http://community.jboss.org/message/625307
Comment 16 Vincent Danen 2011-09-26 16:53:10 EDT
Statement:

This issue did not affect the versions of httpd as shipped with Red Hat Enterprise Linux 4 and 5 as this flaw was introduced in version 2.2.12.
Comment 17 Vincent Danen 2011-09-26 16:53:32 EDT
External References:

http://httpd.apache.org/security/vulnerabilities_22.html#2.2.21
Comment 23 errata-xmlrpc 2011-10-20 12:57:01 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1391 https://rhn.redhat.com/errata/RHSA-2011-1391.html
Comment 24 errata-xmlrpc 2012-05-07 14:48:31 EDT
This issue has been addressed in following products:

  JBoss Enterprise Web Server 1.0.2

Via RHSA-2012:0543 https://rhn.redhat.com/errata/RHSA-2012-0543.html
Comment 25 errata-xmlrpc 2012-05-07 15:02:51 EDT
This issue has been addressed in following products:

  JBEWS 1.0 for RHEL 5
  JBEWS 1.0 for RHEL 6

Via RHSA-2012:0542 https://rhn.redhat.com/errata/RHSA-2012-0542.html

Note You need to log in before you can comment on or make changes to this bug.